import BaseMachine from '../slotMachines/BaseMachine';
import BaseSystem from './BaseSystem';

export default class MockSystem extends BaseSystem
{
   protected state:string
    constructor(machine: BaseMachine)
    {
        super(machine);
        this.state = 'stopped'
    }

    update()
    {

    }

    override onEnter()
    {
    }

    override onLeave()
    {
    }
}
